get
https://sandbox.link.kiban.com/domain/api/v2/bc_pf_rce/pdf
Query to recover all the PDF requests made to special credit report to Personas físicas by kiban
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Intro
With this API you can get all the PDFs executions made to the Reporte de Crédito Especial - Personas Físicas by kiban service.
Important Points
Pagination Parameters
The next two pagination parameters are mandatory to do the request.
- itemsPerPage, number of items by page, should be an integer between [1, 1000]
- page, the page index, should be an integer greater than 0
The next two parameters are required if you want to filter by a period:
- from
- to
Both parameters are a string date and the format must comply with format ISO 8601.
Response
Kiban will return a list of items with the next structure:
{
"currentPage": 1,
"hasNextPage": false,
"items": [
{
"id": "66a01f52d5424abb035c8ca7",
"createdAt": "2024-07-23T21:23:30.949Z",
"finishedAt": "2024-07-23T21:23:31.498Z",
"duration": 548849524,
"status": "SUCCESS"
},
{
"id": "669fda25c7b1939c0c5f39a6",
"createdAt": "2024-07-23T16:28:21.046Z",
"finishedAt": "2024-07-23T16:28:21.641Z",
"duration": 595021998,
"status": "SUCCESS"
},
{
"id": "669fcf80a712eb5500d8a8da",
"createdAt": "2024-07-23T15:42:56.395Z",
"finishedAt": "2024-07-23T15:42:56.867Z",
"duration": 471824501,
"status": "SUCCESS"
}
]
}- currentPage, the actual recovered page
- hasNextPage, indicate if there are more pages
- items, list of items in the request
- id, identifier of the request.
- createdAt, date time with the exact moment of creation.
- finishedAt, date time with the exact moment of finalization.
- duration, indicates how long it took to execute the service.
- status, status of the request

